Package org.apache.felix.cm

## Interface NotCachablePersistenceManager

All Superinterfaces:
  `PersistenceManager`

    @ConsumerType
    public interface NotCachablePersistenceManager
    extends PersistenceManager

`NotCachablePersistenceManager` is a marker interface which extends `PersistenceManager` to inform that no cache should be applied around this persistence manager. This gives the opportunity for the persistence manager to implement it's own caching heuristics.

To make implementations of this interface available to the Configuration Admin Service they must be registered as service for interface `PersistenceManager`.

See also `PersistenceManager`

Since:
  1.1

### Field Summary

### Fields inherited from interface org.apache.felix.cm.PersistenceManager

`PROPERTY_NAME`

### Method Summary

### Methods inherited from interface org.apache.felix.cm.PersistenceManager

`delete, exists, getDictionaries, load, store`